Skip to main content
PUT
/
api
/
knowledge-bases
/
{id}
/
webhooks
/
{whId}
Error
A valid request URL is required to generate request examples
{
  "_id": "<string>",
  "accountId": "<string>",
  "knowledgeBaseId": "<string>",
  "name": "<string>",
  "enabled": true,
  "createdAt": "2023-11-07T05:31:56Z",
  "updatedAt": "2023-11-07T05:31:56Z",
  "steps": [
    {}
  ],
  "flowInputs": [
    {
      "name": "<string>",
      "value": "<string>"
    }
  ],
  "url": "<string>",
  "method": "<string>",
  "headers": {},
  "body": "<string>",
  "auth": {},
  "intervalMinutes": 123,
  "timeoutMs": 123,
  "lastTriggeredAt": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

Bearer token using an API key (format nl_live_* or nl_test_*)

Path Parameters

id
string
required

Knowledge base ID

whId
string
required

Webhook source ID

Body

application/json
name
string

Updated name

steps
object[]

Updated steps

flowInputs
object[]

Updated flow inputs

url
string

Updated URL

method
string

Updated HTTP method

headers
object

Updated headers

body
string

Updated request body

auth
object

Updated authentication configuration

intervalMinutes
integer

Updated polling interval

timeoutMs
integer

Updated timeout

Response

Updated webhook source

_id
string
required

Unique identifier

accountId
string
required

Owning account ID

knowledgeBaseId
string
required

Parent knowledge base ID

name
string
required

Webhook source name

enabled
boolean
required

Whether the webhook source is active

createdAt
string<date-time>
required
updatedAt
string<date-time>
required
steps
object[]

Ordered list of execution steps

flowInputs
object[]

Input variables for the step flow

url
string

URL to fetch content from

method
string

HTTP method

headers
object

HTTP headers

body
string

Request body

auth
object

Authentication configuration

intervalMinutes
integer

Polling interval in minutes

timeoutMs
integer

Request timeout in milliseconds

lastTriggeredAt
string<date-time>

Timestamp of the last trigger